execute store result score #DAY-TIME daytime run time query daytime
#id
scoreboard players enable @a Change.Titan_Sex
scoreboard players add @a[scores={Change.Titan_Sex=1..}] titan_sex 1
scoreboard players set @a[scores={titan_sex=3..}] titan_sex 1
execute as @a unless entity @s[scores={titan_sex=1..}] run scoreboard players set @s titan_sex 1

tellraw @a[scores={Change.Titan_Sex=1..,titan_sex=1}] [{"color":"dark_gray","hoverEvent":{"action":"show_text","value":[{"text":"Masculine titan form enabled","color":"gray","italic":true}]},"italic":false,"text":"☞"},{"color":"blue","hoverEvent":{"action":"show_text","value":[{"text":"Masculine titan form enabled","color":"gray","italic":true}]},"italic":false,"text":" ♂"}]
tellraw @a[scores={Change.Titan_Sex=1..,titan_sex=2}] [{"color":"dark_gray","hoverEvent":{"action":"show_text","value":[{"text":"Feminine titan form enabled","color":"gray","italic":true}]},"italic":false,"text":"☞"},{"color":"red","hoverEvent":{"action":"show_text","value":[{"text":"Feminine titan form enabled","color":"gray","italic":true}]},"italic":false,"text":" ♀"}]

#
execute as @a unless entity @s[scores={misc_id=1..}] run function titan-aot/misc/assign_misc
#
scoreboard players add @a[scores={titan_chance=1..}] titan_chance 1
execute as @a[scores={titan_chance=20}] run advancement grant @s only aot:notif_royal
execute as @a[scores={titan_chance=21}] run advancement revoke @s only aot:notif_royal
scoreboard players reset @a[scores={titan_chance=22}] titan_chance

execute as @a[tag=!bl_rolled] run function titan-aot/misc/bloodline
execute as @a[scores={titan_title=2}] run advancement revoke @s only aot:notif_hardening
execute as @a[scores={titan_title=2}] run advancement revoke @s only aot:notif_royal
scoreboard players add @a[scores={titan_title=1..}] titan_title 1
scoreboard players reset @a[scores={titan_title=200}] titan_title

execute as @a[scores={titan_shifter=1..2}] run function titan_shifting/titan_energy_gui
#
execute as @a[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.mainhand #harmable unless items entity @s weapon.mainhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.mainhand aot:sd/harmable_mod
execute as @a[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.offhand #harmable unless items entity @s weapon.offhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.offhand aot:sd/harmable_mod

execute as @a unless entity @s[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.mainhand #harmable if items entity @s weapon.mainhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.mainhand aot:sd/unharmable_mod
execute as @a unless entity @s[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.offhand #harmable if items entity @s weapon.offhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.offhand aot:sd/unharmable_mod
#
execute as @a[scores={titan_shifter=1..,hungry_check=7..}] if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]},!food,!consumable] run item modify entity @s weapon.mainhand aot:siphon/do_si
execute as @a[scores={titan_shifter=1..,hungry_check=7..}] if items entity @s weapon.offhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]},!food,!consumable] run item modify entity @s weapon.offhand aot:siphon/do_si

execute as @a unless entity @s[scores={titan_shifter=1..,hungry_check=7..}] if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]},food,consumable] run item modify entity @s weapon.mainhand aot:siphon/un_si
execute as @a unless entity @s[scores={titan_shifter=1..,hungry_check=7..}] if items entity @s weapon.offhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]},food,consumable] run item modify entity @s weapon.offhand aot:siphon/un_si
#
execute as @a[scores={titan_shifter=1..}] if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[845]},food,consumable] run item modify entity @s weapon.mainhand aot:siphon/un_si
execute as @a[scores={titan_shifter=1..}] if items entity @s weapon.offhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[845]},food,consumable] run item modify entity @s weapon.offhand aot:siphon/un_si

execute as @a unless entity @s[scores={titan_shifter=1..}] if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[845]},!food,!consumable] run item modify entity @s weapon.mainhand aot:siphon/do_si
execute as @a unless entity @s[scores={titan_shifter=1..}] if items entity @s weapon.offhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[845]},!food,!consumable] run item modify entity @s weapon.offhand aot:siphon/do_si
#
execute as @a[scores={hitting_check=1..}] if items entity @s weapon.mainhand *[custom_data~{copper_syringe:1b},custom_model_data={floats:[845]}] run function titan_pure/injection
#
#pure
execute as @e[tag=pure_titan] at @s run function titan_pure/running
#
execute as @a[scores={titan_shifter=1}] at @s run function titan_shifting/running
execute as @a[scores={titan_shifter=2}] at @s run function titan_shifting/titan_form/running
execute as @e[tag=titan_corpse] at @s run function titan_corpse/running
#rumblerod
scoreboard players add @a[scores={rumble_charge=1..}] rumble_charge_final 1
scoreboard players set @a[scores={rumble_charge=0}] rumble_charge_final 0

execute as @a if items entity @s[scores={rumble_charge_final=15}] weapon.* *[custom_data~{rumblerod:1b}] at @s run function rumblerod/launch
execute as @e[tag=rumblerod,tag=rumblerod_marked] at @s run function rumblerod/running
#odm
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] at @s run function odm/gui

execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] unless items entity @s weapon.offhand *[custom_data~{air_level:1b}] unless items entity @s weapon.offhand *[custom_data~{breeb:0b}] if predicate aot:odm-flying run function odm/running
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] run scoreboard players set @s[nbt={OnGround:1b}] odm_cd 6
execute as @a if items entity @s weapon.mainhand *[custom_data~{oda_gear:1b},custom_model_data={floats:[842]}] if items entity @s weapon.offhand *[custom_data~{breeze_bottle:1b}] run function odm/couple_bb
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b},custom_model_data={floats:[842]}] if items entity @s weapon.mainhand *[custom_data~{breeze_bottle:1b}] run function odm/couple_bb_of

execute as @a unless predicate aot:odm-flying if items entity @s[scores={sneak_check=1..}] weapon.mainhand *[custom_data~{oda_gear:1b},custom_model_data={floats:[844]}] run function odm/decouple_bb
#execute as @a unless predicate aot:odm-flying if items entity @s[scores={sneak_check=1..}] weapon.offhand *[custom_data~{oda_gear:1b},custom_model_data={floats:[844]}] run function odm/decouple_bb_of

execute as @a unless entity @s[scores={refill_cd=1..}] if items entity @s weapon.mainhand *[custom_data~{breeze_bottle:1b}] unless items entity @s weapon.mainhand *[custom_data={breeze_bottle:1b,air_level:21b}] if items entity @s weapon.offhand wind_charge run function odm/refill
execute as @a unless entity @s[scores={refill_cd=1..}] if items entity @s weapon.offhand *[custom_data~{breeze_bottle:1b}] unless items entity @s weapon.offhand *[custom_data={breeze_bottle:1b,air_level:21b}] if items entity @s weapon.mainhand wind_charge run function odm/refill_of

#
execute as @e[type=#minecraft:minecarts,tag=!inv_mc] run function inv_minecart

execute as @a run clear @s *[custom_data~{titan_storage:1b}]
execute as @e[tag=chest_minecart,tag=titan_storage,tag=titan_done,tag=!chest_hardened] unless items entity @s container.26 minecraft:barrier[hide_tooltip={},custom_model_data={floats:[9980]},custom_data={kill_item:1b,titan_storage:1b}] run function titan_shifting/titan_form/corpse
execute as @e[tag=chest_minecart,tag=titan_storage,tag=titan_done,tag=chest_hardened] unless items entity @s container.26 minecraft:barrier[hide_tooltip={},custom_model_data={floats:[9985]},custom_data={kill_item:1b,titan_storage:1b}] run function titan_shifting/titan_form/hardened_corpse

execute as @a[scores={titan_throw_id=1..,hurt_check=1..}] at @s run function titan_shifting/titan_form/attack/throw/grab_reset_2
execute as @e[type=!player,scores={titan_throw_id=1..},nbt={HurtTime:9s}] at @s run function titan_shifting/titan_form/attack/throw/grab_reset_2

#
scoreboard players add @a[scores={titan_injection=1..}] titan_injection_meter 1
scoreboard players set @a[scores={titan_injection=0}] titan_injection_meter 0

execute as @a if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]}] if items entity @s weapon.offhand *[custom_data={titan_serum:1b}] run function titan-aot/misc/obtain_injection
execute as @a if items entity @s weapon.offhand *[custom_data={copper_syringe:1b},custom_model_data={floats:[840]}] if items entity @s weapon.mainhand *[custom_data={titan_serum:1b}] run function titan-aot/misc/obtain_injection

execute as @a[scores={titan_injection_meter=35}] unless entity @s[scores={titan_shifter=1..}] at @s run playsound entity.puffer_fish.blow_out ambient @a ~ ~ ~ 1 1.5
execute as @a[scores={titan_injection_meter=35}] unless entity @s[scores={titan_shifter=1..}] at @s run playsound item.honey_bottle.drink ambient @a ~ ~ ~ 1 2

execute as @a[scores={titan_injection_meter=40,titan_shifter=1..}] at @s run function titan_shifting/become_2

execute as @a[scores={titan_injection_meter=40}] if items entity @s weapon.* *[custom_data={copper_syringe:1b},custom_model_data={floats:[845]},food] at @s run function titan_shifting/become_alt

execute as @a[scores={titan_injection_meter=40}] at @s run function titan_shifting/become

execute as @e[type=item,nbt={OnGround:1b}] at @s if items entity @s contents *[custom_data~{copper_syringe:1b},custom_model_data={floats:[845]}] run function titan-aot/misc/serum_spine_shatter
execute as @e[type=item,nbt={OnGround:1b}] at @s if items entity @s contents *[custom_data~{copper_syringe:1b},custom_model_data={floats:[841]}] run function titan-aot/misc/serum_shatter
execute as @e[type=item,nbt={OnGround:1b}] at @s if items entity @s contents *[custom_data~{titan_serum:1b}] run function titan-aot/misc/serum_shatter



#
execute as @a[scores={titan_shifter=1..,sneak_check=0}] unless entity @s[scores={titan_title=1..}] unless entity @s[scores={titan_shifter=2,titan_royalty=1..},nbt={SelectedItemSlot:8}] unless entity @s[scores={titan_shifter=2,titan_harden=1},nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]
#
execute as @e[type=item] if items entity @s contents *[minecraft:custom_data~{kill_item:1b}] run kill @s
scoreboard players set @a left_click 0
scoreboard players set @a hitting_check 0
scoreboard players set @a hurt_check 0
scoreboard players set @a titan_throw 0
scoreboard players set @a sneak_check 0
scoreboard players set @a death_check 0
scoreboard players set @a harm_bite 0
scoreboard players set @a killing_check 0
scoreboard players set @a titan_injection 0
scoreboard players set @a titan_screaming 0
scoreboard players set @a rumble_charge 0
scoreboard players set @a titan_harden_meter 0
scoreboard players reset @a[scores={Change.Titan_Sex=1..}] Change.Titan_Sex
scoreboard players remove @a[scores={refill_cd=1..}] refill_cd 1
scoreboard players remove @a[scores={titan_scream_cd=1..}] titan_scream_cd 1
scoreboard players remove @a[scores={titan_harden_cd=1..}] titan_harden_cd 1
scoreboard players add @e[scores={titan_death_extent=1..}] titan_death_extent 1
kill @e[scores={titan_death_extent=1200..}]

title @a[scores={titan_progress=1..}] actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]
title @a[scores={titan_progress_harden=1..}] actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]

execute as @a unless items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] unless entity @s[scores={titan_title=1..}] run title @s subtitle [{"text":"","color":"#4e5c24"},{"text":"\uF82B\uF82A\uF825\uF809\uF809\uF809\uF804"},{"text":" "}]
execute as @a unless entity @s[scores={titan_shifter=1..}] if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] run title @s title [{"text":"","color":"#4e5c24"},{"text":"\uF82B\uF82A\uF825\uF809\uF809\uF809\uF804"},{"text":" "}]

execute as @a[nbt={active_effects:[{id:"minecraft:unluck",amplifier:19b}]}] run function titan-aot/misc/serum_death
execute as @e[nbt={active_effects:[{id:"minecraft:unluck",amplifier:20b,duration:1}]}] run function titan_pure/transform

execute as @e[type=minecraft:villager,nbt={VillagerData:{profession:"minecraft:cleric"}},tag=!wind_trader] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:emerald",count:4},sell:{id:"minecraft:wind_charge",count:5}}
execute as @e[type=minecraft:villager,nbt={VillagerData:{profession:"minecraft:cleric"}}] run tag @s add wind_trader
execute as @e[type=minecraft:villager,tag=wind_trader] unless entity @s[nbt={VillagerData:{profession:"minecraft:cleric"}}] run tag @s remove wind_trader

execute as @e[type=zombie_villager,tag=!auth_zomb] at @s run function titan-aot/misc/authentic_zombie
execute as @e[type=zombie_villager,tag=!auth_zomb] at @s run function titan-aot/misc/faux_zombie
execute as @e[tag=turned_titan,type=villager] at @s run function titan_pure/transform

#spawning
execute if score #TITAN-SPAWN titan_gr_spawning matches 1 as @a at @s as @e[type=pig,tag=!titan_sc,distance=..80] run function titan_pure/spawn
execute as @e[type=item,nbt={Item:{id:"minecraft:petrified_oak_slab"}}] run kill @s
execute as @a at @s run function titan-aot/misc/harden_mining
