scoreboard players operation rumble-check rumblerod_id = @s rumblerod_id
scoreboard players operation rumble-misc-check misc_id = @s rumblerod_impale
scoreboard players operation rumble-owner-check misc_id_2 = @s rumblerod_owner

execute as @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,tag=!rumblerod_embedded,scores={rumblerod_height=1..}] unless entity @e[predicate=aot:rumblerod-impale-score] as @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score] at @s run function rumblerod/fuse
execute as @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,tag=!rumblerod_embedded] unless entity @e[predicate=aot:rumblerod-impale-score] run function rumblerod/disarmed
execute as @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,tag=!rumblerod_embedded] if entity @a[predicate=aot:rumblerod-impale-score,scores={death_check=1..}] run function rumblerod/disarmed_2
execute as @e[predicate=aot:rumblerod-impale-score,scores={rumblerod_lifetime=180..}] run function rumblerod/disarmed_3

scoreboard players add @s rumblerod_life 1
scoreboard players add @a[predicate=aot:rumblerod-score] rumblerod_life 1
scoreboard players add @e[predicate=aot:rumblerod-impale-score] rumblerod_lifetime 1

execute as @a[scores={rumblerod_life=10..},predicate=aot:rumblerod-score] run function rumblerod/immunity

execute at @s[tag=!rumblerod_embed,predicate=aot:rumblerod-score] run tp @s ^ ^ ^1.25 ~ ~
execute at @s[tag=!rumblerod_embed,predicate=aot:rumblerod-score] as @e[distance=..2,tag=!rumblerod,tag=!rumblerod_fuse,type=!horse,type=!#titan-attackable,sort=nearest,limit=1] unless entity @s[predicate=aot:rumblerod-owner-score] as @e[tag=rumblerod,predicate=aot:rumblerod-score] at @s run function rumblerod/impale
execute at @s[tag=!rumblerod_embedded,tag=!rumblerod_embed,predicate=aot:rumblerod-score] unless block ^ ^ ^1.25 #pfunc:speedjump run function rumblerod/embed

execute at @s run tp @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score] ^ ^ ^.7 ~ ~

execute as @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score] unless entity @s[scores={rumblerod_life=1..}] at @s unless data entity @s leash.UUID at @s run playsound block.respawn_anchor.charge ambient @a ~ ~ ~ 1 2
execute as @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score] at @s unless data entity @s leash.UUID run scoreboard players add @s rumblerod_life 1
execute as @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score,scores={rumblerod_life=10..}] at @s unless data entity @s leash.UUID run function rumblerod/fuse
#
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score] ~ ~1 ~
execute as @e[predicate=aot:rumblerod-impale-score,type=#3-b-pick] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score] ~ ~1.5 ~
execute as @e[predicate=aot:rumblerod-impale-score,type=#small_entity] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score] ~ ~.5 ~
execute as @e[predicate=aot:rumblerod-impale-score,nbt={IsBaby:1b}] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score] ~ ~.5 ~
execute as @e[predicate=aot:rumblerod-impale-score,scores={titan_spawn_age=..-1}] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score] ~ ~.5 ~
#titans
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=1}] ~ ~2 ~
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=2}] ~ ~6 ~
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=3}] ~ ~9 ~
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=4}] ~ ~12 ~
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=5}] ~ ~15 ~
execute as @e[predicate=aot:rumblerod-impale-score] at @s run tp @e[tag=rumblerod_embed,predicate=aot:rumblerod-score,scores={rumblerod_height=6}] ~ ~18.5 ~

#
execute at @s[tag=rumblerod_embedded,predicate=aot:rumblerod-score] if block ^ ^ ^1.25 #pfunc:speedjump run function rumblerod/disarmed

execute at @s[tag=!rumblerod_embed,predicate=aot:rumblerod-score] run particle campfire_cosy_smoke ^ ^ ^-.75 0 0 0 0 1

execute if entity @a[predicate=aot:rumblerod-owner-score,x_rotation=90] as @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score] run data remove entity @s leash
execute if entity @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score,scores={rumblerod_life=1}] as @a[predicate=aot:rumblerod-owner-score,x_rotation=90] at @s run playsound item.crossbow.loading_middle ambient @a ~ ~ ~ 1 2
execute if entity @e[tag=rumblerod_fuse,predicate=aot:rumblerod-score,scores={rumblerod_life=1}] as @a[predicate=aot:rumblerod-owner-score,x_rotation=90] at @s run playsound entity.leash_knot.place ambient @a ~ ~ ~ 1 1




